{extends file='page.tpl'}
{block name="page_content"}
    <div id="veebipoed-overlay" class="ajax_loader"></div>
    <div class="box">
        <h3 class="page-subheading"><img class="logo_size_m" src="{$logo}"> </h3>
        <p style="margin-top:20px;">
            {l s='The total amount of your order is' mod='makecommerce'}
            <span id="amount" class="price">{$total}</span>
            {if $priceDisplay == 0}
                {l s='(tax incl.)' mod='makecommerce'}
            {/if}
        </p>
        <p>{l s='The payment is being processed through' mod='makecommerce'} <a href="https://maksekeskus.ee/ostjale/" target="_blank">Maksekeskus AS</a></p>
        <p>{l s='If you want to proceed, please click "Pay now", otherwise click "Back"' mod='makecommerce'}</p>
    </div>

    <p class="cart_navigation clearfix" id="cart_navigation">
        {if isset($opc) && $opc}
            <a class="button-exclusive btn btn-default" href="{$link->getPageLink('order-opc', true, NULL, "submitReorder&id_order={$order_reference}")|escape:'htmlall':'UTF-8'}">
                <i class="icon-chevron-left"></i>{l s='Back' mod='makecommerce'}
            </a>
        {else}
            <a class="button-exclusive btn btn-default" href="{$link->getPageLink('order', true, NULL, "submitReorder&id_order={$order_reference}")|escape:'htmlall':'UTF-8'}">
                <i class="icon-chevron-left"></i>{l s='Back' mod='makecommerce'}
            </a>
        {/if}
    </p>
    {if $quick_mode}<form method="POST" class="cart_navigation clearfix" id="makecommerce-form">{else}<div id="makecommerce-form">{/if}
            <button class="button button-medium btn btn-default{if !$quick_mode} hidden{/if}" id="payButton">
                <span>{l s='Pay now' mod='makecommerce'}<i class="icon-chevron-right right"></i></span>
            </button>
            <script onload="$('#payButton').click();"
                    src="{$js_src}"
                    data-key="{$publishable_key}"
                    data-amount="{$amount}"
                    data-currency="{$currency}"
                    data-email="{if $prefill}{$customer_email}{/if}"
                    data-client-name="{if $prefill}{$customer_name}{/if}"
                    data-name="{$shop_name}"
                    data-transaction="{$transaction_id}"
                    data-selector="#payButton"
                    data-description="{$description}"
                    data-locale="{$locale}"
                    Checkout>
            </script>
    {if $quick_mode}</form>{else}</div>{/if}
{/block}
